Atlas Classic WoW

About This Addon Module

This is a separated module which we decided to move it out from the main Atlas core addon starting from v1.21.0. The major concerns include that our addon file size is getting bigger and bigger, while most of the dungeon maps may not get frequent updated. By splitting the dungeon maps based on WoW's expansion, we believe it could downsize our main addon's total size, and also users don't need to download all the maps each time.

What's Included in This Addon Module

With this addon module installed, you will be able to see the Classic WoW maps.

Installation and Configuration

Note that this is not an independent addon, it must depend on Atlas. And there is no any enhancement within this module. This module only provide the dungeon map's images for specific expansion.

You should have Atlas installed, and then once you have also install this module, then Atlas will be able to display relative maps while corresponding dungeon is selected.


The official Atlas website is:

For questions or support, please visit the forums:


You may contact the project owner in below address: [email protected] Or visit our forum and leave your message.


Atlas is released under the GNU General Public License (GPL).

You can use this addon without any charge. If you would like to make some donation, you are welcome to do so.

You can also distribute this addon but only with no charge to your users. If you are going to include part of the codes, graphics, or any file(s) from this addon in your own product(s), please write us an email to inform us, and please also to include our team members’ name as part of your product credits.

You must login to post a comment. Don't have an account? Register to get one!


Date created
Nov 09, 2011
Last update
Jul 12, 2015
Development stage
GNU General Public License version 2 (GPLv2)
Curse link
Atlas Classic WoW
Recent files
  • R: v1.32.00 for 6.2.0 Jul 12, 2015
  • A: r4 for 6.2.0 Jul 12, 2015
  • A: r3 for 6.2.0 Jul 06, 2015
  • A: r2 for 6.1.0 May 03, 2015
  • R: v1.31.01 for 6.1.0 Mar 01, 2015



Required dependency